//var phoneNumber = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/;
var phoneNumber = /^((1[3,5,8][0-9])|(14[5,7])|(17[0,3,6,7,8])|(19[7]))\d{8}$/;

apiready = function() {
	var mobilephone = $api.getStorage('loginid');
	$('#phone').val(mobilephone);
	var system = api.systemType;
	setStyle();
};

function setStyle(){
	$api.removeCls($api.byId('login_l'), 'login_l_change');
	$api.css($api.byId('login_l'),'height:'+api.winHeight+'px;');
	$api.css($api.byId('list1'), 'line-height:' + api.winHeight * 0.675 * 0.5 * 0.2 + 'px;');
	$api.css($api.byId('list2'), 'line-height:' + api.winHeight * 0.675 * 0.5 * 0.2 + 'px;');
}


//关闭frame
function back() {
	api.closeFrame();
}

function login() {
	var loginid = $api.trim($api.val($api.byId('phone')));
	var passwd = $api.val($api.byId('passwd'));
	var uniqueStr = getDeviceId();
	if (api.uiMode == 'pad') {
		deviceName = 'PAD';
	}
	if (loginid.length <= 0) {
		alert('手机号码不能为空!');
		return;
	}
	if (passwd.length < 6) {
		alert('密码格式错误!');
		return;
	}
	api.ajax({
		url : userURL + '/v2/login',
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				uniqueStr : uniqueStr,
				userName : $api.getStorage('uCode'),
				password : passwd,
				phone : loginid,
				apkType : apkType,
				channelType : channelType,
				deviceName : deviceName

			}

		},
		returnAll : false
	}, function(ret, err) {
		if (ret) {
			if (ret.code == '200') {
				findUserMsgV2();
				//录入用户信息在本地
				$api.setStorage('loginState', ret.sessionId);
				//设置登录状态
				$api.setStorage('loginid', loginid);
				//记录登录loginid
				$api.setStorage('first_state', 1);
//				api.openWin({
//					name : 'index',
//					url : '../../index.html',
//					reload : true
//				});
				backWin();
				backWin();
				api.toast({
					msg : ret.msg,
					duration : 3000,
					global : true
				});
				setTimeout(function() {
					api.closeFrame();
				}, 500)
			} else if (ret.code != null && ret.code != '' && ret.code != undefined) {
				api.alert({
					msg : ret.msg
				});
			}
		}
	});

}

function backLogin(){
	$api.addCls($api.byId('login_l'), 'login_l_change');
	window.setTimeout('api.closeFrame()',700)
}