var nowPgaeNo = 1;
var totalPages = 3;
var swiper;

var entityId;
var group_type;

var type_index;
apiready = function() {
	group_type = api.pageParam.group_type;
	entityId = api.pageParam.entityId;
	type_index = api.pageParam.type_index;
	findMenu(group_type);
	getVideoEventType();
};

//基础教学-名师讲堂切换
function findMenu(id) {
	api.ajax({
		url : ztGroupURL + '/menu/' + id + '/' + apkType,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
		if (ret) {
			var html = '';
			$.each(ret, function(i) {
				html += '<div class="list">';
				if (i == 0) {
					html += '<img onclick="openType(' + i + ')" class="tab_btn1" src="' + this.menu_focused + '" />';
				} else {
					html += '<img onclick="openType(' + i + ')" class="tab_btn2" src="' + this.menu_default + '" />';
				}
				html += '</div>';
			});
			$api.html($api.byId('tab_list'), html);
			initDate(ret[0].group_type);
		}
	});
}

//组表菜单切换(声母、韵母..)
function initDate(id) {
	api.ajax({
		url : ztGroupURL + '/ztgroup-id/' + id + '/' + apkType,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
//		console.log(JSON.stringify(ret));
		if (ret) {
			var html = '';
			var k = 0;
			$.each(ret, function(i) {
				if(this.zhztinfoid == entityId){
					k = i;
				}
				html += '<div class="list">';
				html += '<img class="nav_btn' + (i + 1) + '" id="nav_btn' + (i + 1) + '" onclick="selZTVideo(\'' + i + '\',\'' + this.zhztinfoid + '\')" src="' + this.btn_default + '" />';
				html += '<img class="nav_btn_sel' + (i + 1) + '" id="nav_btn_sel' + (i + 1) + '" src="' + this.btn_current + '" />';
				html += '</div>';
			})
			$api.html($api.byId('nav_list'), html);
			selZTVideo(k, ret[k].zhztinfoid);
		}
	});
}

function setSwiper() {
	swiper = new Swiper('.swiper-container', {
		slidesPerView : 10,
		spaceBetween : 0,
		slidesPerGroup : 10,
		// init: false,
	});
}

//专题视频展示
function selZTVideo(index, zhztinfoid) {
	var len = $api.domAll($api.byId('nav_list'), 'div');
	for (var i = 0; i < len.length; i++) {
		if (i == index) {
			$api.css($api.byId('nav_btn' + (i + 1) + ''), 'display:none;');
			$api.css($api.byId('nav_btn_sel' + (i + 1) + ''), 'display:block;');
		} else {
			$api.css($api.byId('nav_btn' + (i + 1) + ''), 'display:block');
			$api.css($api.byId('nav_btn_sel' + (i + 1) + ''), 'display:none');
		}
	}

	if (swiper) {
		swiper.destroy(false);
	}
	var pageSize = 100;
	var pageNO = 1;
	api.ajax({
		url : ztGroupURL + '/course/' + zhztinfoid + '/' + pageNO + '?pageSize=' + pageSize,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
		if (ret) {
//			console.log(JSON.stringify(ret));
			var html = '';
			var sourceid;
			$.each(ret.result, function(i) {
				if (i == 0) {
					sourceid = this.sourceid;
				}
				html += '<div class="swiper-slide" onclick="playThis(\'' + i + '\',\'' + this.sourceid + '\',\'' + this.grade + '\',\'' + this.subject + '\',\'' + this.is_free + '\')">';
				if (i == 0) {
				}
				html += '<img src="' + this.btn_default + '" />';
				html += '<img src="' + this.btn_current + '" />';
				html += '</div>';
			});
			$api.html($api.byId('swiper-wrapper'), html);
			//默认播放第一个视频
			playThis(0, sourceid,ret.result[0].grade,ret.result[0].subject,ret.result[0].is_free)
			setSwiper();
		}
	})
}

var playIndex = 0;
function playThis(index, sourceid,grade,subject,is_free) {
	playIndex = index;
	var len = $api.domAll($api.byId('swiper-wrapper'), '.active');
	var len_1 = $api.domAll($api.byId('swiper-wrapper'), '.swiper-slide');
	for (var i = 0; i < len.length; i++) {
		$api.removeCls(len[i], 'active');
	}
	$api.addCls(len_1[index], 'active');
	
	if (type_index == 0) {
		type_index = 1;
	} else {
		isPlayAuth(sourceid,entityId,grade,subject,'',is_free,"letter");
	}
}

//动态获取播放时间
var eventType;
function getVideoEventType() {
	api.addEventListener({
		name : 'playType'
	}, function(ret, err) {
		if (ret) {
			eventType = JSON.stringify(ret.value.eventType);
			if ('complete' == eventType.replace(/\"/g, "").replace(/[\\]/g, '')) {//播放完成
				nextPlay();
			}
		}
	});
}

function nextPlay(){
	var len = $api.domAll($api.byId('swiper-wrapper'), 'div');
	var nextIndex = parseInt(playIndex)+1;
	if(nextIndex < len.length){
		$(len[nextIndex]).click();
	}
}


function pageChange(type) {
	if (type == 'prev') {
		swiper.slidePrev();
	} else {
		swiper.slideNext();
	}
}

function selPage(pageNo) {
	nowPgaeNo = pageNo;

	var len = $api.domAll($api.byId('nav_list'), 'img');
	for (var i = 0; i < len.length; i++) {
		if (i == (pageNo - 1)) {
			$api.css($api.byId('nav_btn' + (i + 1) + ''), 'display:none;');
			$api.css($api.byId('nav_btn_sel' + (i + 1) + ''), 'display:block;');
		} else {
			$api.css($api.byId('nav_btn' + (i + 1) + ''), 'display:block');
			$api.css($api.byId('nav_btn_sel' + (i + 1) + ''), 'display:none');
		}
	}

}

//名师课堂切换
function openType(i) {
	if (i != 0) {
		var jsfun = 'closeVideo()';
		api.execScript({
			name : 'play_window',
			script : jsfun
		});
		api.openWin({
			name : 'zt',
			url : 'zt.html',
			pageParam : {
				group_type : group_type,
				entityId : entityId
			}
		});

	}
}