var videoPlayer;

var videoid;
var videoPlayType = 'zt';
var categorykind;

var entityId;
var group_type;
var videpType;

var videoIsOpen = false;

apiready = function() {

	videoPlayer = api.require('videoPlayer');

	group_type = api.pageParam.group_type;
	entityId = api.pageParam.entityId;
	videoid = api.pageParam.sourceid;
	videoPlayType = api.pageParam.videoPlayType;
//	console.log(group_type+"---"+entityId+"---"+videoid+"---"+videoPlayType)
	//获取播放器播放线路
	videpType = 1;
	if (videoid!=undefined || videoPlayType =='zt') {//普通视频播放
		videoPlayType = 'zt';
		selVideo(videoid);
		api.closeFrame({
        	name : 'letter'
        });
	} else {//字母列表视频播放
		videoPlayType = 'letter';
		initDate(group_type);
	}
	api.addEventListener({
	    name:'vidoeStart'
    },function(ret,err){
    	fnvideoPlay();
    });
};

//字母列表处理
//组表菜单切换(声母、韵母..)
function initDate(id) {
	api.ajax({
		url : ztGroupURL + '/ztgroup-id/' + id + '/' + apkType,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
		if (ret) {
			var html = '';
			selZTVideo(ret[0].zhztinfoid);
		}
	});
}

//专题视频展示
function selZTVideo(zhztinfoid) {
	var pageSize = 1;
	var pageNO = 1;
	api.ajax({
		url : ztGroupURL + '/course/' + zhztinfoid + '/' + pageNO + '?pageSize=' + pageSize,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
//		console.log(JSON.stringify(ret))
		if (ret) {
			selVideo(ret.result[0].sourceid,ret.result[0].grade,ret.result[0].id,ret.result[0].subject);
		}
	})
}

function selVideo(videoid,grade,id,subject) {
//	console.log(id)
	var url ='';
	if(videoid == "6e74df26-adf8-4f49-be18-c45970d7edc8"){//第一条
		url =playURL + 'v2/'+videoid;
	}else{//其他视频
		url =playURL + videoid;
	}
	api.ajax({
		url : url,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				list_id : id
			}
		},
		returnAll : false
	}, function(ret, err) {
//		console.log(JSON.stringify(ret))
		videoURL = ret.qcloud_video_url_05;
		videoName = ret.source_video_name;
		if (videpType == 1) {//线路2
			if (!videoIsOpen) {
				videoIsOpen = true;
				fnvideoPlayerOpen(videoURL, videoName);
			} else {
				videoPlayer.setPath({
					path : videoURL
				});
			}
		} else {//线路1
//				if (!videoIsOpen) {
//					videoIsOpen = true;
//					createVideo(videoURL, ret.qcloud_video_url_01, videoName);
//				} else {
//					setVideoPath(videoURL, ret.qcloud_video_url_01, videoName);
//				}
		}

	});
}

function openLetterFrame() {
	api.openFrame({
		name : 'letter',
		url : 'letter.html',
		rect : {
			x : 0,
			y : 0,
			w : api.winWidth,
			h : api.winHeight
		},
		pageParam : {
			entityId : entityId,
			group_type : group_type,
			type_index : 0
		}
	});
}

//线路一
var video;
var hls;
//function createVideo(m3u8video, mp4video, videoName) {
//	var html = '';
//	html += '<div class="video-box" id="video-box">';
//	html += '<video id="video" controls="false" x-webkit-airplay="true" webkit-playsinline="true" autoplay="true" loop="false" preload="auto">';
//	//html += '<source src="' + m3u8video + '" type="video/m3u8">';
//	html += '<source src="' + mp4video + '" type="video/mp4">';
//	html += '<p style="padding: 50px;color:#fff;text-align: center">您的浏览器不支持 HTML5 video 标签。请进入我的页面切换线路二播放器</p>';
//	html += '</video>';
//	html += '</div>';
//	//html += '<div class="nav-box nav-box-hide"><img class="back-btn" onclick="backWin()" src="../../image/videoPlayer/back.png"/><div class="video-name">' + videoName + '</div></div>';
//	$api.html($api.byId('video-wrap'), html);
//	video = document.getElementById("video");
//
//	if (videoPlayType == 'letter') {
//		video.controls = false;
//		video.loop = false;
//		video.load();
//	} else {
//		video.controls = true;
//		video.loop = false;
//		video.load();
//	}
//
//	if (Hls.isSupported()) {
//		hls = new Hls();
//		hls.loadSource(m3u8video);
//		hls.attachMedia(video);
//		hls.on(Hls.Events.MANIFEST_PARSED, function() {
//			video.play();
//		});
//	}
//
//	video.addEventListener('ended', function() {
//		api.sendEvent({
//			name : 'playType',
//			extra : {
//				eventType : 'complete'
//			}
//		});
//	});
//	if (videoPlayType == 'letter')
//		openLetterFrame();
//}

function setVideoPath(m3u8video, mp4video, videoName) {
	if (videoPlayType == 'letter') {
		video.controls = false;
		video.loop = false;
		video.load();
	} else {
		video.controls = true;
		video.loop = true;
		video.load();
	}
	if (Hls.isSupported()) {
		hls = new Hls();
		hls.loadSource(m3u8video);
		hls.attachMedia(video);
		hls.on(Hls.Events.MANIFEST_PARSED, function() {
			video.play();
		});
	}
	video.addEventListener('ended', function() {
		var jsfun = 'nextPlay()';
		api.execScript({
			name : 'letter',
			script : jsfun
		});
	});

}

//线路二
//调用普通视频播放器（可编辑播放器）
function fnvideoPlayerOpen(videoURL, videoName) {
	videoPlayer.open({
		rect : {
			x : 0, //（可选项）数字类型；模块左上角的 x 坐标（相对于所属的 Window 或 Frame）；默认：0
			y : 0, //（可选项）数字类型；模块左上角的 y 坐标（相对于所属的 Window 或 Frame）；默认：0
			w : api.winWidth, //（可选项）数字类型；模块的宽度；默认：所属的 Window 或 Frame 的宽度
			h : api.winHeight //（可选项）数字类型；模块的高度；默认：w的3/4
		},
		bg : '#fff', //视频背景颜色，支持#、rgb、rgba (在切换视屏为了防止闪屏,请根据自己的视频调节颜色)
		path : videoURL, //视频播放地址
		autoPlay : true, //打开时是否自动播放
//		scalingMode : 'scaleToFill', //该参数仅支持ios
		coverImg : "" //播放器打开尚未播放时的封面图
	}, function(ret, err) {
//		console.log(JSON.stringify(ret))
		if (ret.status) {
			if (ret.duration != '' && ret.duration != null && ret.duration != 'undefined' && videoPlayType == 'zt') {
				duration = JSON.stringify(ret.duration).replace(/\"/g, "");
				fnvideoPlayerFrame(videoName, duration);
				//监听播放器事件
				videoPlayerAddEventListener();
			} else {
				if(videoPlayType == 'letter'){
					openLetterFrame();
				}
				videoPlayerAddEventListener();
			}

		} else {
			api.toast({
				msg : err.msg,
				duration : 2000,
				location : 'middle'
			});
		}
	});
}

function fnvideoPlayerFrame(videoName, duration) {
	api.openFrame({
		name : 'fnvideoPlayerFrame',
		url : 'fnvideoPlayerFrame.html',
		rect : {
			x : 0,
			y : 0,
			w : api.winWidth,
			h : api.winHeight
		},
		pageParam : {
			videoName : videoName,
			duration : duration
		}
	});
}

function fnvideoPlay() {
	videoPlayer.start();
}

function fnvideoPause() {
	videoPlayer.pause();
}

function seekToPlay(times) {
	videoPlayer.seekTo({
		seconds : times
	});
}

function closeVideo() {
	videoPlayer.close();
}

//视频播放器监听事件
function videoPlayerAddEventListener() {

	videoPlayer.addEventListener({
		name : 'play'
	}, function(ret, err) {
		if (ret) {
			api.sendEvent({
				name : 'playType',
				extra : {
					current : JSON.stringify(ret.current),
					eventType : JSON.stringify(ret.eventType)
				}
			});

		} else {
			//alert(JSON.stringify(err));
		}
	});

}